pfSense - Bug #11037

Change APIs for HE.net Tunnelbroker dynamic DNS update
11/05/2020 01:53 PM - Michael Smith

Status: Resolved Start date: 11/05/2020
Priority: Low Due date:
Assignee: Renato Botelho % Done: 0%
Category: Dynamic DNS Estimated time: 0.00 hour
Target version: 250
Plus Target Version: Affected Version:
Release Notes: Default Affected

Architecture:

Description

Currently using a deprecated client update API for HE.net Tunnelbroker dynamic DNS (https:/ipv4.tunnelbroker.net/ipv4_end.php)
switch to the current API (https://ipv4.tunnelbroker.net/nic/update).

API "docs": https://forums.he.net/index.php?topic=3153.msg18553#msg18553

History

#1 - 11/05/2020 01:54 PM - Michael Smith
PR: https:/github.com/pfsense/pfsense/pull/4484

#2 - 11/06/2020 10:39 AM - Jim Pingle
- Status changed from New to Pull Request Review

- Target version set to 2.5.0
#3 - 11/09/2020 09:02 AM - Renato Botelho

- Status changed from Pull Request Review to Feedback

- Assignee set to Renato Botelho

PR has been merged. Thanks!

#4 - 11/12/2020 09:51 AM - Danilo Zrenjanin

- Status changed from Feedback to Resolved

Tested the patch on the 2.4.5-p1. It works fine.

Ticket resolved.
